org.jfree.xml.util

## Class LookupDefinition

- java.lang.Object
- - org.jfree.xml.util.LookupDefinition

    public class LookupDefinition
    extends java.lang.Object

A lookup definition.

### Constructor Summary

Constructors
Constructor and Description
`LookupDefinition(java.lang.String propertyName, java.lang.String registryKey)` Creates a new lookup definition.

### Method Summary

Methods
`java.lang.String` `getPropertyName()` Returns the property name.
`java.lang.String` `getRegistryKey()` Returns the registry key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupDefinition

    public LookupDefinition(java.lang.String propertyName,
                    java.lang.String registryKey)

Creates a new lookup definition.

Parameters:
  `propertyName` - the property name.
  `registryKey` - the registry key.

### Method Detail

#### getPropertyName

    public java.lang.String getPropertyName()

Returns the property name.

Returns:
  the property name.

#### getRegistryKey

    public java.lang.String getRegistryKey()

Returns the registry key.

Returns:
  the registry key.